=============================================================================
Intel(R) Server Platforms S5000VSA BMC RELEASE NOTES
=============================================================================
INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA
=============================================================================
DATE:       June 24, 2009
TO:         Intel(R) server platform S5000VSA customers
SUBJECT:    BMC(R) 00.65 Release Notes


=============================================================================
                               LEGAL INFORMATION
=============================================================================
Information in this document is provided in connection with Intel Products
and for the purpose of supporting Intel developed server boards and systems.
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (c) 2009 Intel Corporation.


=============================================================================
                              ABOUT THIS RELEASE
=============================================================================
REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:

Operational code:       v00.65
Boot code:              v00.43
PIA data:               v00.03
Manufacturer ID:        0x000157 (Intel)
Product ID:             0x002B   (Sapello)

Checksum Information:
Operational Code
Region:               0x00020000 -> 0x0012d08a
  Checksum (HEX File):              0xe3f1

Boot Block
  Region:               0x00000000 -> 0x00005616
  Checksum (HEX file):             0x5739


=============================================================================
			SYSTEM HARDWARE REQUIREMENTS/REVISIONS
=============================================================================

-None
=============================================================================
		       SYSTEM SOFTWARE REQUIREMENTS/REVISIONS
=============================================================================

- MS-DOS v6.22 (or later)
  

- FRU/SDR package:
      FSP_43

- S5000VSA BIOS revision:
      R0096 BIOS

- S5000VSA SEEPROM Image
      v03.01  (Use of any other SEEPROM image is not supported at this time)
  

=============================================================================
                         IMPORTANT INSTALLATION NOTES
=============================================================================
- Executing the batch files can be done from any media (Hard disk, USB disk-on-
  key, shared network drive or floppy).

- From BMC48 onwards we have removed EEPROM update files from the package

- Since the release of the BMC50A Package, boot block updates via UPFW.bat file
  has been removed. The Boot block firmware remains the same in all subsequent
  releases even though the version number appeared to change in some release notes.

- From release BMC61, boot block needs to be updated to make Firmware Update
  faster. So, boot block updates via "-b" is added in UPFW.bat file.

- From release BMC65, boot block needs to be updated to fix BMC checksum issue. 
  So, boot block updates via "-b" is added in UPFW.bat file.

=============================================================================
                         INSTALLATION PROCEDURES
=============================================================================


-----------------------------------------------------
   If a BMC has previously been installed
-----------------------------------------------------
1) Update the BMC firmware using BMC65.bat.

2) Update the SDR & FRUs with the FRU/SDR package.


-----------------------------------------------------
   If a BMC has not been previously installed
-----------------------------------------------------
1) Copy the update files from this release package to the media (Hard Drive,
   USB Disk-on-Key, Floppy...) that you wish to perform the update from. Files
   include all those listed in the RELEASE PACKAGE CONTENTS section.

2) It is strongly recommended that a backup be created of the SEEPROM image
   currently residing on your Sapello system. The following DOS command
   can be used to create a backup SEEPROM image: "eeupdate /nic=1 /dump"

3) Update the SEEPROM image by running UpEEPROM.bat. You must then A/C
   power cycle with power off for at least 30 seconds.

4) Update the BMC flash by running UpPFlash.bat. You must then A/C power
   cycle with power off for at least 30 seconds.

5) Update the SDR & FRUs with the FRU/SDR package.

6) Subsequent updates of the BMC FW should use BMC65.bat.


=============================================================================
                           KNOWN ISSUES/WORKAROUNDS
=============================================================================

1) SIO3 Contention is resolved in this Release
   --------------------------------------------
	  This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/Gilgal on board.

2) Serial/Modem interface is defeatured for S5000 platform.

3) SDRAM is disabled.

=============================================================================
                           FEATURES ADDED
=============================================================================
BMC 00.65:

- Need to add more averaging and debouncing offsets 
- BMC checksum mismatches 

Fixed:

- BMC hangs during reboot 
- EPSD S5000 ESB2/Gilgal LOM doesn't work reliably with Windows Server 2003

BMC64:
	
-EPSD S5000 ESB2 LOM doesn't work reliably with Microsoft Windows Server* 2003 
-BMC checksum mismatches 


BMC63
	
	Increased Max DB size to 0xFF to avoid too many asserts on BMC 
        released code in debug mode due to maxing out of DBS entries. 


-BMC sometimes hangs if SOL sessions killed  
-[X] BIOS/BMC hang

BMC 62:
	
-System reverting to OLTT after ctrl+alt+del  

BMC 61:
	
Added the new FWPIAUPD which supports 128 bytes of flash update.

Bugs Resolved:
-S5000P Refresh Boards: Fans fail to boost after crossing DIMM agg temp UC.
-S5000P Refresh Boards: Get thermal profile data shows success for profile 0 and error for prof 2
-BMC FW not supporting 128 bytes write. 

Note -: Following issues are considered fixed in the core:
----------------------------------------------------
-BMC slow to respond or stops responding completely
-Direct Serial Connection" is not working from sysconfig
-The event type of system reconfigured event are incorrect

BMC60:
	S5000 products Refresh Release with CLTT integration

S5000AL intermittently fails power restore policy when AC returns

Note -: Following issues are considered fixed in the core:
----------------------------------------------------
-SOL can't activate by OpenSource IPMITOOL
-There are two duplicate assertion/de-assertion events for Power Unit Redundancy sensor after DC Power Cycle.
-[SYS BOOT -F NORMAL & SERVICE] terminal mode command can't set the needed boot flags.
-Unnecessary SEL events is getting logged in AC and DC cycle 
-SR2520SA: Unnecessary power redundancy events observed.  
-OEM Issue - PEF configuration will be lost after AC or DC cycle 
-OEM Issue - Irregular Chassis ID LED blinking 

BMC59:
	
Note -: Following issues are considered fixed in the core:
---------------------------------------------
-BIOS Setup screen is observed as garbled data on remote machine.
-Power -on -console comand is not working
-PIA configurable data: System Event Manager queue size & IPMISensorCoreEM thread 
-GPO61 not supported by PC87427/SIO3 driver 
-SDK - BMC cmd "Set Processor State" Unsupported state settable and unclearable. 
-BMC SEL log contains inaccurate timestamp
-BMC failed to respond during Sx sleep state cycling test.
-Unable to read SEL entries
-CT system cannot access serial EMP im powered off state 

BMC58:

-Wrong status LED behaviour observed for Power restore policy.
-Status LED color irregularity observed when power restore policy is "Prior state  

Note -: Following issues are considered fixed in the core:
---------------------------------------------
127582: Get ACPI State command returns "Legacy Power Off" when in S4 state (Hibernation)
28563: Status Led turns to solid amber color after doing a bmc refresh from OS 
28493: 'Get ACPI power state' returns wrong status in Hibernate(S4) mode  
28388:  BMC is not tracking the correct sleep states  

BMC57:

Note -: Following issues are considered fixed in the core:
---------------------------------------------
-The firmware allowed a invalid password to log in.
-[X] IPMI 1.5 session can be made with any password  
1) In case of an IPMI 2.0 session IPMI_SendMessage to HSC BMC was leaking memory and finally 
   getting unresponsive. 
2) On a particular LAN channel if you have 1 session active and you kill all the
   other sessions BMC still reports all the session alive, and does not timeout on the session which were killed. 

BMC56:
	
Note -: Following issues are considered fixed in the core:
---------------------------------------------
-BIOS not responding to BMC SetSystemBootOption command - Note -: At this point of time this tracker
        is resolved only for 5000 series processors.
-ACPI issue: When Get ACPI Status command is executed even beofre DC is on, BMC responds as S0/G0 working.
-After system go into shutdown, then system will auto-reboot when comport2 connected to loopback
-System will automatically boot up with RJ45-RS232 convert and RS232 Loopback.
-Windows 32 or 64-bit will not shutdown with loopback connector on COM Port 2
-ALBMC54:Email Alerting is not working
-TPT module is not including FML Header/FML Status/TPT Status as part of read buf  
-Switching Serial MUX from System to TMODE truncates "[TMODE OK] message  
-TMode will not maintain connection in standby

BMC55: 
	5300 processor series PECI Support has been added.

BMC54:
		
SUPPORT EMAIL ALERTS VIA ESB2/BMC ON ALL S5000 chipset based PRODUCTS has been ADDED

-The boot code version in SPBMC53 does not match that of the BMC release note.  
-Deasserted sel event for chassis intrusion.
-System will automatically boot up with RJ45-RS232 convert and RS232 Loopback.
-After system go into shutdown, then system will auto-reboot when comport2 connected to loopback
-Unnecessary Characters are displayed in SOL redirection
-Update to BIOS R38 got error 92AB serial port B is being used by BMC as EMP port
-Voltage events on continuous AC Cycling and IERR/Thermal Trip issue
-T-Mode Auto Detect Message  "[TMODE OK]" response is truncated  
-The CPU failure LEDs on the server board are not light for processor disabling.

BMC53:

-BMC stops responding (Error message in BIOS)  - D/C power cycle over RMCPP (dpccli) session
-Suspend BMC ARPs' command is not working as expected. 
-S5000VSA BMC version 48 issue (factory issue) - loopback NIC 
-Fully Fan redundant event [deasserted, asserted]is getting logged in DC cycyle Fully Fan redundant event [deasserted, asserted]is getting logged in DC cycle
-System hangs if processor disabled thru "set proc state" command
-In PIA file PECI Poller Imager Type is incorrect 
-Power Redundancy event [deasserted, asserted] is getting logged in DC cycle 

BMC52:
       
-SEL event for S3 ACPI power state is not getting logged when system goes to S3 

BMC51:
       Engg Release

BMC50A Package
--------------
This release has same firmware as  BMC50 release 
The only change has been made to the batch file used for updating BMC Firmware.
This batch file has been modified to prevent any boot block updates.

BMC50:
       
Note -: Following trackers are considered fixed in the core:
---------------------------------------------

- SLV: Front Panel Status LED stays solid Amber due to a memory error after the system is restarted
- SYS statusLED is not returning to green after system restart in DIMM error cases 
- SP: DIMM Errors doesn't rearm after system reset 
- S5000PSL: BMC gets corrupted on FRUSDR update 
- No deasserted SEL event is logged for processor presence(90h,91h) 
- SMI errors on Star lake server sata fab5 under bios r40 - C9 
- The system fault LED on the board shouldn't be amber and green at the same time 
- S5000VCL Sensor 0xF1 is not giving proper response for 'Get Sensor Reading' 

BMC49:
       
- S5000VSA & S5000PSL-PWM3&5 freq comes up low freq:  fans run to fast 
- SP: Read PECI Poller FW Status cmd gives Wrong Platform ID  
- Online update SEL events are not getting logged after updating BMC using OFU utility
- Change required for legal wording in BMC release notes  
- S5000VSA: Terminal mode health query returns incorrect results.  
- The BMC rejects the Set PCIe Link State IPMI message for sensor numbers > 8  


BMC48:
 
- BIOS setup locks up on setting the COM 2 to Always available  mode.  

BMC47:
       1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
       Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
       installed to match A1/C0 ESB2/NIC on board.
       2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to rework.

- OEM Issue - Irregular Fan boost behavior observed w/BMC43 
- False Carrier Bit Setting
- System couldn't power on immediately by pressing power button while AC cycle
- De-Assertion SEL events on Re-arm 
- CPU population error is getting logged in AC cycle with 5100 series Processors 
- In normal condition, a SEL event is logged for CPU population error randomly 
- SL: Thermal trip sets whenever AC cycled 
- for selective re-arm of sensors by init agent
- Change the Product Configuration Record to have the correct Product ID
- DC cycle on S5000VSA causing the memory leak in the system which would lockup the BMC after 500 or so cycles

BMC46:
       	1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/NIC on board.
	2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to 		rework.

-SIO3 PWM fan output pins configured wrong


BMC45:
       	1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/NIC on board.
	2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to 		rework.

- System Fault status is changed amber blink to Green after Power down & power On 

- allow  keeping IDEr session connected over host resets (during BIOS post) to remain open and unaffected, since PHY
         resets can now be disabled
- GW Mac Address Corruption Fixed

BMC44: Engg release
BMC43: Engg release

BMC42:
      	1) This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/NIC on board.
	2) Make sure you do the EEPROM 3.01 update prior to updating to BMC41.  If you don’t the system will have to go to 		rework.

- Set NMI source does not  check for reserved bits
- S5000VSA Set In Progress bit is not resetting in DC cycle
-- SMM support for acquiring system resources 
------ - add capability to detect external RAM presence based on external RAM indicator bit stored in EEPROM word offset 0x9

BMC41:
      	 This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.01
	installed to match A1/C0 ESB2/NIC on board.
Changed SIO3 driver to address EMP failures 
(*Followup* Fixes for (BIOS setup "Error Message", Serial Port device failure))


BMC40:
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.00 
	installed to match A1/C0 ESB2/NIC on board.

- Watchdog timer does not stop in S1 state
- BMC SDRAM clock is still running while SDRAM is not used
- System will shutdown once automatically after clearing CMOS by jumper or battery 


BMC39
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.00 
	installed to match A1/C0 ESB2/NIC on board.

- S5000VSA "Get User Access" for self is giving 0xCC completion code
- S5000VSA: After exiting from console redirection, UUT is not working properly
- BMC SDRAM clock is still running while SDRAM is not used
-  Status LED Blinks Amber When a NON- FRU P/S is Used  


BMC38:
       This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.00 
	installed to match A1/C0 ESB2/NIC on board.

BMC37:
       	 This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V03.00 
	installed to match A1/C0 ESB2/NIC on board.

Trackers resolved:
- S5000VSA: ARPs are not getting as expected. 
- Ping packets greater than 1472 bytes timeout 
- "Get IP/UDP/RMCP Statistics" command is not giving correct response
- S5000VSA: "Get IP/UDP/RMCP Statistics" command is not giving correct response.
- Activate payload returns incorrect response code for correct parameters
- SDR Size Allocation is Incorrect
- The Kg key is getting locked if "Set channel security keys" command is executed

BMC36:
	This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/NIC on board.

-Bios-31 cased corruption on S5000VSA board 
-S5000VSA: Typo Error in Release Notes of BMC 35  
-Unable to control FAN-6 via BMC/CMDTOOL  

BMC35:
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/NIC on board.

- Fan failure LEDs test failed.  
-  S5000VSA: Serial interface is not consistent 
-  S5000VSA: CPU2 Fan(0x51) going lower non-critical. 
-  The value of Sys Fan 1 Tach (SN#52) is too low.  
-  The value of Sys Fan 6 Tach (SN#57) is too low.  
 

BMC34:
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/NIC on board.

- Not able to set NULL password for the users other than NULL user

BMC33:
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/NIC on board.

- Fan failure LEDs test failed.  
- HW: DIMM FAULT LED's always lit after removing and replacing CMOS battery 
- DIMM failed LED always light on DIMM_B2 and DIMM_B4 after system booting


BMC32:
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/NIC on board.

-BNB Temp (#0x33) Upper Non-Critical asserted and de-asserted events are frequent  
-S5000VSA: "Get PlatformInformation"  command returns  incorrect Values  

- The Get Add-in Support Configuration command (NetFn = 0x32, Command = 0x71), parameter 3 is incorrectly returning 
         a value of 0 (not used) in response data byte 1.  Parameter 3 is a read only parameter and it should return a value 		of 1 (FML) in response data byte 1.
- Integrate GOLD HAL SDK



BMC31:
        This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.09 
	installed to match A1/C0 ESB2/NIC on board.

- S5000VSA: Serial interface is getting lost during Hard Reset.
- Sometimes system will have beeps after resetting
- S5000VSA: SEL events are not logged for Online update failed 
- S5000VSA: Serial interface is not consistent 
- S5000VSA: Proc 2 Status sensor (0x91) is logging incorrect events
- No deassertion SEL event logged after removing and fixing the fan.
- S5000VSA: Event is not getting logged for PEF action
- S5000VSA: Unnecessary events are getting logged by the fan presence sensors


BMC30:
       SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
	SIO3 Contention is resolved in this Release- use EEPROM file V02.07
  This release is for Beta base board (or equivalent) only.  Equivalent HW must contain SIO and GPIO rework.  
	Otherwise system will not function correctly.  True Beta HW must have EEPROM V02.07 
	installed to match A1/C0 ESB2/NIC on board.

-Chassis intrusion event test failed.  
-Memory RAS not working on S5000VSA  
-S5000VSA: "Get DIMM State" command is not returning correct completion code.  
-EraseStagingArea command unlocks the frontpanel 
- Sometimes system will have beeps after resetting
- Thermtrip test fail   
- Processor Thermal trip event test failed.    


BMC21:
        SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
	SIO3 Contention is resolved in this Release- use EEPROM file V0.08 

-upper critical value verification is failed. 
-S5000VSA: Mismatch between EPS and SDR for the Tach Fan sensors.  
-upper non-critical value verification is failed. 
-No SEL event logged for S1 state.  
-No SEL event logged for S4 state.  
-No SEL event logged for S0/G0 state.  

FRUSDR (FSP_09)
S5000VSA: Mismatch between EPS and SDR for the Sensor 0x09.  
-S5000VSA: Mismatch between EPS and SDR for the Sensor 0x1E (BB Vbat).  
-S5000VSA: Mismatch between EPS and SDR for the Fan Presence sensors  
-S5000VSA: Mismatch between EPS and SDR for the sensor 0x82  
-S5000VSA: Mismatch between EPS and SDR for the 'Sensor Failure' (0x86)sensor  
-S5000VSA: Mismatch between EPS and SDR for the "Proc Thermal Control" sensors    

BMC20:
       SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
	SIO3 Contention is resolved in this Release- use EEPROM file V0.08 

-Upper critical value verification is failed.  
-CPU failure LEDs test failed.  
-Upper non-critical value verification is failed.  
- No SEL event logged for A/C lost
- S5000VSA: Set channel security keys always returns the key is already locked
- No SEL event logged for pressing the front panel power button
- No SEL event logged for pressing the front panel reset button
- S5000VSA: SOL is not working
- After FRUSDR & BMC update bank selection not happening on SPBMC17 
- IPMB tests fail due to I2C NAKs returned from the BMC


BMC19:
	SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
	Resolved the issues of ACPI
	Resolved the SMTP Issue
        Resolved the DIMM issues
        Resolved the Fan issue

-"Get DIMM State" command is returning undefined completion code.  
-Lower non-critical value verification is failed.  
-No SEL event logged for S1 state.  
-Upper critical value verification is failed.  
-No SEL event logged for S4 state. 
-S5000VSA: SOL is not working.  
-CPU failure LEDs test failed.   
-Upper non-critical value verification is failed.  
-S5000VSA: Set channel security keys always returns the key is already locked  
-No SEL event logged for S0/G0 state.  

BMC18:
	SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
- S5000VSA: I2C Connection is getting lost
- No SEL events for System shutdown or power cycle events 

BMC17:
	
       SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
-No SEL event logged for power down.  
-Lower critical value verification is failed. 
-Lower non-critical value verification is failed. 
-S5000VSA: PEF actions are not taking place. 
-Upper critical value verification is failed.  
-Error logging disabled event test failed.   
-The product ID in BMC is mismatched to BMC release note.  
-Upper non-critical value verification is failed.  


BMC16:
	SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
-Set DIMM State is implemented properly.
-Fix console redirection via SOL
-Remove the ASSERT - ASSERT being hit due to 1MHz support enabled in the PIA.

-S5000VSA: Sensor Reading state is always unavailable for some sensors.  
-S5000VSA: CPU population error Beep Codes are occurring after a long time. 
-S5000VSA: There are no SEL entries for the processor status after system power up  
-S5000VSA: Failure in getting Sensor reading. 
-S5000VSA: Sensor Reading state is unavailable after "Set Sensor Event Enable" cmd  
-S5000VSA: Event is not asserted even Sensor reading crosses non-Critical value. 
-HW: DIMM FAULT LED's always lit after removing and replacing CMOS battery 
-S5000VSA SDR file SP_02.sdr has some wrong data
-BMC reset is happening even in system reset only condition  

BMC15:
	SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
-Set DIMM State is implemented properly.

BMC14:
       
-Fan Fault LED corrected.
-SIO3 Slave address is 0xd8 and it works with R0016 BIOS or later BIOS
-ProcHot Sensor is tested properly.
-No FRB3 support

BMC13:
       Thermal profile SDR command implemented.
       Added BNB Temperature sensor.
       Added the CPU Fault LED support
       Fan Fault LED.  
       IMM3 Card present support
       SIO3 Slave address is 0xd8 and it works only with R0016 BIOS
       ProcHot Sensor implemented.
       No FRB3 support

BMC01:
       This release is mainly for Enabling the SEED program.
       This BMC will disable the SIO3 access. 

	Following sensors are implemented.
	CPU Population Error
	CPU Missing 
	And also associated Beep codes
	Power unit Status
	Power unit Redundancy
	Fan 

	FRB3 is implemented but not enabled.
        ID LED works as per the Bensley BMC core EPS
        Status LED is implemented according to the sensor criticality
	Processor presence is detected.

-LM94 and SIo3 PWM control implemented
-LM94 and SIO3 Fan Tach working.
-Fan present and Fan redundancy sensor implemented. 


=============================================================================
                             REFERENCE MATERIAL
=============================================================================

Bensley BMC Core External Product Specification, v1.4


[END OF RELEASE NOTES]
